import UIKit

class SwitchTableViewCell: UITableViewCell {
    @IBOutlet var switchView: UISwitch!
    
    var valueChangedListener: ((UISwitch) -> Void)?
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }

    @IBAction func valueChanged(_ sender: UISwitch) {
        valueChangedListener?(sender)
    }
}
